com.fasterxml.jackson.module.afterburner.util

## Class DynamicPropertyAccessorBase

- java.lang.Object
- - com.fasterxml.jackson.module.afterburner.util.DynamicPropertyAccessorBase

Direct Known Subclasses:
  CreatorOptimizer, PropertyAccessorCollector, PropertyMutatorCollector

    public class DynamicPropertyAccessorBase
    extends Object

### Field Summary

Fields
`protected static int[]` `ALL_INT_CONSTS`

### Constructor Summary

Constructors
Constructor and Description
`DynamicPropertyAccessorBase()`

### Method Summary

Methods
`protected <T> T` `_add(List<T> list, T value)`
`protected static void` `generateException(org.objectweb.asm.MethodVisitor mv, String beanClass, int propertyCount)`
`protected static String` `internalClassName(String className)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### ALL_INT_CONSTS

    protected static final int[] ALL_INT_CONSTS

### Constructor Detail

#### DynamicPropertyAccessorBase

    public DynamicPropertyAccessorBase()

### Method Detail

#### generateException

    protected static void generateException(org.objectweb.asm.MethodVisitor mv,
                         String beanClass,
                         int propertyCount)

#### internalClassName

    protected static String internalClassName(String className)

#### _add

    protected <T> T _add(List<T> list,
             T value)